curl --request POST \
--url {scheme}://{host}:{port}/{basePath}/v1/table/{id}/count_rows \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"identity": {
"api_key": "<string>",
"auth_token": "<string>"
},
"context": {},
"id": [
"<string>"
],
"version": 1,
"predicate": "<string>"
}
'1Count the number of rows in table id
REST NAMESPACE ONLY
REST namespace returns the response as a plain integer
instead of the CountTableRowsResponse JSON object.
A valid request URL is required to generate request examples1Documentation Index
Fetch the complete documentation index at: https://docs.lancedb.com/llms.txt
Use this file to discover all available pages before exploring further.
The access token received from the authorization server in the OAuth 2.0 flow.
string identifier of an object in a namespace, following the Lance Namespace spec.
When the value is equal to the delimiter, it represents the root namespace.
For example, v1/namespace/$/list performs a ListNamespace on the root namespace.
An optional delimiter of the string identifier, following the Lance Namespace spec.
When not specified, the $ delimiter must be used.
Identity information of a request.
Show child attributes
Arbitrary context for a request as key-value pairs. How to use the context is custom to the specific implementation.
REST NAMESPACE ONLY
Context entries are passed via HTTP headers using the naming convention
x-lance-ctx-<key>: <value>. For example, a context entry
{"trace_id": "abc123"} would be sent as the header x-lance-ctx-trace_id: abc123.
Show child attributes
Version of the table to describe. If not specified, server should resolve it to the latest version.
x >= 0Optional SQL predicate to filter rows for counting
Result of counting rows in a table
Response containing the count of rows. Serializes transparently as just the number for backward compatibility.
x >= 0Was this page helpful?